{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.sys.steam;
in {
  options.local.sys.steam = {
    enable = mkEnableOption "steam settings";
  };
  config = mkIf cfg.enable {
    programs.steam = {
      enable = true;
      remotePlay.openFirewall = true;
      dedicatedServer.openFirewall = true;
      localNetworkGameTransfers.openFirewall = true;
    };

    environment = {
      systemPackages = with pkgs; [
        protontricks
        protonup
        protonup-ng
        winetricks
      ];
    };
  };
}
